Package jebl.evolution.alignments

# Interface Patterns

All Known Subinterfaces:
  `Alignment`

All Known Implementing Classes:
  `BasicAlignment`, `BootstrappedAlignment`, `JackknifedAlignment`, `ResampledAlignment`

public interface Patterns
An interface representing a set of site patterns.

Version:
  $Id: Patterns.java 185 2006-01-23 23:03:18Z rambaut $
Author:
  Andrew Rambaut, Alexei Drummond

## Method Summary

Modifier and Type
Method
Description
`int`
`getPatternCount()`
`int`
`getPatternLength()`
`List<Pattern>`
`getPatterns()`
Get a list of all the patterns
`SequenceType`
`getSequenceType()`
`List<Taxon>`
`getTaxa()`

## Method Details

### getPatternCount

int getPatternCount()

### getPatternLength

int getPatternLength()

### getPatterns

List<Pattern> getPatterns()
Get a list of all the patterns

Returns:
  the list

### getTaxa

List<Taxon> getTaxa()

Returns:
  the list of taxa that the state values correspond to.

### getSequenceType

SequenceType getSequenceType()

Returns:
  the data type of the states in these site patterns.